import { baseUrl } from "../../../request"

// pages/personCenter/billingDetails/billingDetails.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    withdrawalList: [],
    withdrawalStatus: ['待审核', '提现成功', '提现失败']
  },

  getWithdrawalList() {
    wx.request({
      url: baseUrl + '/withdrawalApply/query',
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        console.log('账单明细---->',res.data);
        console.log('登录token---->',wx.getStorageSync('token'));
        if (res.data.code === 1) {
          this.setData({
            withdrawalList: res.data.data
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getWithdrawalList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})